Bug 810069 - (CVE-2012-1986) CVE-2012-1986 puppet: Filebucket arbitrary file read
CVE-2012-1986 puppet: Filebucket arbitrary file read
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120410,reported=2...
: Security
Depends On: 811820 811821 812955 812956 834391
Blocks: 810072 836071
  Show dependency treegraph
 
Reported: 2012-04-04 23:57 EDT by Kurt Seifried
Modified: 2012-12-11 04:25 EST (History)
2 users (show)

See Also:
Fixed In Version: puppet 2.6.15, puppet 2.7.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 04:25:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-04-04 23:57:49 EDT
From Matthaus Litteken <matthaus@puppetlabs.com>:

CVE-2012-1986 (High) [#13511] - Filebucket arbitrary file read
it is possible to construct a REST request to fetch a file from a
filebucket that overrides the puppet master’s defined location 
for the files to be stored. If a user has access to construct 
directories and symlinks on the machine they can read any file 
that the user the puppet master is running as has access to.

Using the symlink attack described in Bug #13511 the puppet master
can be caused to read from a stream (e.g. /dev/random) when 
either trying to save a file or read a file. Because of the way 
in which the puppet master deals with sending files on the 
filesystem to a remote system via a REST request the thread 
handling the request will block forever reading from that stream 
and continually consuming more memory. This can lead to the puppet
master system running out of memory and cause a denial of service.
Comment 3 Vincent Danen 2012-04-16 12:24:51 EDT
This is public now.

External Reference:

http://puppetlabs.com/security/cve/cve-2012-1986/
Comment 4 Vincent Danen 2012-04-16 12:31:56 EDT
Created puppet tracking bugs for this issue

Affects: fedora-all [bug 812955]
Affects: epel-all [bug 812956]
Comment 5 Murray McAllister 2012-04-19 01:15:30 EDT
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 6 Fedora Update System 2012-04-27 01:51:03 EDT
puppet-2.6.16-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-27 02:05:08 EDT
puppet-2.6.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-02 16:32:36 EDT
puppet-2.6.16-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-02 16:33:24 EDT
puppet-2.6.16-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-06 00:52:27 EDT
puppet-2.7.13-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 errata-xmlrpc 2012-12-04 14:30:54 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2012:1542 https://rhn.redhat.com/errata/RHSA-2012-1542.html

Note You need to log in before you can comment on or make changes to this bug.